package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.insertAndGetId

class PrenotazioniPastiRepositoryImpl : PrenotazioniPastiRepository {
    override suspend fun  insert(prenotazionePasto : PrenotazioniPasti): PrenotazioniPasti = suspendTransaction {
        // Inserisci una nuova prenotazione pasto
        // ID non definito: viene gestito dalla sequence
        val idPrenPastiInserted = PrenotazioniPastiTable.insertAndGetId {
            it[idTessera] = prenotazionePasto.idTessera
            it[idSlotPuntoCassa] = prenotazionePasto.idSlotPuntoCassa
            it[idResidenza] = prenotazionePasto.idResidenza
            it[idVassoio] = prenotazionePasto.idVassoio
            it[importoPagato] = prenotazionePasto.importoPagato
            it[codiceRistocloud] = prenotazionePasto.codiceRistocloud
        }.value

        PrenotazioniPasti(
            idPrenPastiInserted,
            prenotazionePasto.idTessera,
            prenotazionePasto.idSlotPuntoCassa,
            prenotazionePasto.idResidenza,
            prenotazionePasto.idVassoio,
            prenotazionePasto.importoPagato,
            prenotazionePasto.codiceRistocloud
        )
    }
}