package eu.maiora.routes

import eu.maiora.model.ComposizioniRepositoryImpl
import io.ktor.server.application.*
import io.ktor.server.auth.*
import io.ktor.server.response.*
import io.ktor.server.routing.*


fun Route.composizioni(composizioniRepository: ComposizioniRepositoryImpl){
    route("/api/composizioni"){
        authenticate("auth-jwt") {
            get(){
                val listaComposizioni = composizioniRepository.listaComposizioni()
                call.respond(listaComposizioni)
            }
        }

    }
}